### Method

# FwupdPlugin Firmware set_stream

#### Declaration [src]

    gboolean
    fu_firmware_set_stream (
      FuFirmware* self,
      GInputStream* stream,
      GError** error
    )

#### Description [src]

Sets the input stream.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| `GInputStream`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.